Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.query
Class AndQueryExp

    java.lang.Object
      |
      +--com.sun.wbem.query.QueryExp
            |
            +--com.sun.wbem.query.AndQueryExp

public class AndQueryExp
extends QueryExp

The AndQueryExp class represents the expression

        query1 && query2

See Also:
  Serialized Form

Constructor Summary
`AndQueryExp()` Empty constructor
`AndQueryExp(QueryExp q1, QueryExp q2)` Constructor with two QueryExp operands.

Method Summary
`boolean` | `apply(CIMElement obj)` return boolean true if the two operands evaluate to true, false otherwise.
`QueryExp` | `getLeftExp()` Accessor for left operand.
`QueryExp` | `getRightExp()` Accessor for right operand.
`java.lang.String` | `toString()`

Methods inherited from class com.sun.wbem.query.QueryExp
`canonizeCOD, canonizeDOC`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AndQueryExp

    public AndQueryExp()

  Empty constructor

### AndQueryExp

    public AndQueryExp(QueryExp q1,
                       QueryExp q2)

  Constructor with two QueryExp operands.

Method Detail

### getLeftExp

    public QueryExp getLeftExp()

  Accessor for left operand.

### getRightExp

    public QueryExp getRightExp()

  Accessor for right operand.

### apply

    public boolean apply(CIMElement obj)
                  throws CIMException

  return boolean true if the two operands evaluate to true, false otherwise.
  Overrides:
    apply in class QueryExp
  Tags copied from class: QueryExp
  Parameters:
    `obj` - The 'row' which is being applied. The row in the case of WQL can be any CIMElement. Currently the only valid CIMElement is CIMInstance.
  Returns:
    boolean true if the 'row' meets the conditions, 'false' otherwise In the case of QueryExp it is always true.
  See Also:
    `CIMInstance`

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD